# LogIn POST https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn Content-Type: application/json Log in with an authentication code and return a customer token. Reference: https://docs.brij.fi/api/brij-customer-api/brij-core-v-1-customer-service-log-in ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: customer-api version: 1.0.0 paths: /brij.core.v1.customer.Service/LogIn: post: operationId: brij-core-v-1-customer-service-log-in summary: LogIn description: Log in with an authentication code and return a customer token. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/brij.core.v1.customer.LogInResponse' requestBody: content: application/json: schema: $ref: '#/components/schemas/brij.core.v1.customer.LogInRequest' servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.core.v1.customer.LogInRequest: type: object properties: email: type: string otpCode: type: string title: brij.core.v1.customer.LogInRequest brij.core.v1.customer.LogInResponse: type: object properties: jwtToken: type: string title: brij.core.v1.customer.LogInResponse securitySchemes: IntegratorApiKey: type: apiKey in: header name: X-API-Key ``` ## SDK Code Examples ```python Success import requests url = "https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn" payload = { "email": "user@example.com", "otpCode": "123456" } headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{"email":"user@example.com","otpCode":"123456"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn" payload := strings.NewReader("{\n \"email\": \"user@example.com\",\n \"otpCode\": \"123456\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"user@example.com\",\n \"otpCode\": \"123456\"\n}" response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{\n \"email\": \"user@example.com\",\n \"otpCode\": \"123456\"\n}") .asString(); ``` ```php Success request('POST', 'https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn', [ 'body' => '{ "email": "user@example.com", "otpCode": "123456" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email\": \"user@example.com\",\n \"otpCode\": \"123456\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [ "email": "user@example.com", "otpCode": "123456" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.customer.Service/LogIn")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```